# Class RegistrationStatus | EchoHub Documentation

# Class RegistrationStatus

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

    public sealed record RegistrationStatus : IEquatable<RegistrationStatus>

Inheritance
  object
  RegistrationStatus

Implements
  IEquatable<RegistrationStatus>

Inherited Members
  object.GetType()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### RegistrationStatus(bool, Guid?, DateTimeOffset?, string?, string[]?)

    public RegistrationStatus(bool IsRegistered, Guid? ServerId, DateTimeOffset? LastRegisteredAt, string? LastError, string[]? ConflictingHosts)

#### Parameters

`IsRegistered` bool
`ServerId` Guid?
`LastRegisteredAt` DateTimeOffset?
`LastError` string
`ConflictingHosts` string[]

## Properties

### ConflictingHosts

    public string[]? ConflictingHosts { get; init; }

#### Property Value

string[]

### IsRegistered

    public bool IsRegistered { get; init; }

#### Property Value

bool

### LastError

    public string? LastError { get; init; }

#### Property Value

string

### LastRegisteredAt

    public DateTimeOffset? LastRegisteredAt { get; init; }

#### Property Value

DateTimeOffset?

### ServerId

    public Guid? ServerId { get; init; }

#### Property Value

Guid?

## Methods

### Deconstruct(out bool, out Guid?, out DateTimeOffset?, out string?, out string[]?)

    public void Deconstruct(out bool IsRegistered, out Guid? ServerId, out DateTimeOffset? LastRegisteredAt, out string? LastError, out string[]? ConflictingHosts)

#### Parameters

`IsRegistered` bool
`ServerId` Guid?
`LastRegisteredAt` DateTimeOffset?
`LastError` string
`ConflictingHosts` string[]

### Equals(RegistrationStatus?)

    public bool Equals(RegistrationStatus? other)

#### Parameters

`other` RegistrationStatus

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(RegistrationStatus?, RegistrationStatus?)

    public static bool operator ==(RegistrationStatus? left, RegistrationStatus? right)

#### Parameters

`left` RegistrationStatus
`right` RegistrationStatus

#### Returns

bool

### operator !=(RegistrationStatus?, RegistrationStatus?)

    public static bool operator !=(RegistrationStatus? left, RegistrationStatus? right)

#### Parameters

`left` RegistrationStatus
`right` RegistrationStatus

#### Returns

bool